#include <Servo.h>

Servo myServo1;                 // Создаем объект класса Servo для первой сервы
Servo myServo2;                 // Создаем объект класса Servo для второй сервы

int switchPin1 = D5;             // Подключаем кнопку 1
int switchPin2 = D7;             // Подключаем кнопку 2
int switchPin3 = D6;             // Подключаем кнопку 3

void setup()
{
  pinMode(switchPin1, INPUT_PULLUP);
  pinMode(switchPin2, INPUT_PULLUP);
  pinMode(switchPin3, INPUT_PULLUP);
  myServo1.attach(D1);            // Указываем первому объекту класса Servo, что серво подключен к пину D1
  myServo2.attach(D2);            // Указываем второму объекту класса Servo, что серво подключен к пину D1
  myServo1.write(90);             // Выставляем первую серву в начальное положение в 90
  myServo2.write(90);             // Выставляем вторую серву в начальное положение в 90
}
void loop() {
 // Ворота открыты наружу
  if(digitalRead(switchPin1) == LOW) {   //если кнопка1 нажата 
    myServo1.write(180);
    delay (500);                       // если надо открывать по очереди
    myServo2.write(0);
    delay (500);
  }
// Ворота закрыты
  if(digitalRead(switchPin2) == LOW) {   //если кнопка2 нажата 
    myServo1.write(90);
    myServo2.write(90);
    delay (500);
  }
// Ворота открыты внутрь
  if(digitalRead(switchPin3) == LOW) {   //если кнопка3 нажата 
    myServo1.write(0);
    delay (500);                       // если надо открывать по очереди
    myServo2.write(180);
    delay (500);
  }

}
